#!/usr/bin/perl -w

use FindBin;
use lib $FindBin::Bin;
use TKL::URLcheck;
use strict;

my $tkl = new TKL::URLcheck;
my $schemas = $tkl->find_schemas();
my $matching = [];
my $root = $tkl->find_portal_root;
my $cwd = shift;


if (!defined($cwd)) {
    print STDERR "Usage: $0 cwd\n\n";
    exit(1);
}


foreach my $schema (keys %$schemas) {
    my $elements = $tkl->find_uri_elem($schemas->{$schema});
    if (scalar @$elements) {
	$tkl->find_urls($cwd, $elements, $schema, $matching);
    }
}


open FH, ">$root/urls.tkl" or die "$0: Unable to open '$root/urls.tkl' for writing: $!";
print FH $TKL::xml_header, "\n";
print FH "<URLS>\n";

foreach my $entry (@$matching) {
    print FH "  <CHECKURL>\n";
    foreach my $key (keys %$entry) {
	print FH "    <$key>", $tkl->xml_trim($entry->{$key}), "</$key>\n";
    }
    print FH "  </CHECKURL>\n";
}

print FH "</URLS>\n";

close FH;


## $Log: get_urls.pl,v $
## Revision 1.3  2002/11/28 13:00:15  sondberg
## Correct handling of entities.
##
## Revision 1.2  2002/11/27 20:34:32  sondberg
## Applied the FindBin module to add local perl library.
##
## Revision 1.1  2002/11/27 14:07:38  sondberg
## Added these files to repository.
##
